AnyEvent::XMPP::Error::IQAuth(3)

NAME
AnyEvent::XMPP::Error::IQAuth - IQ authentication error

Subclass of AnyEvent::XMPP::Error

  METHODS

context
    This method returns either:

    "iq_error" which means that a IQ error was caught, which can be accessed with the "iq_error" method.

    Or: "no_fields" which means that no form fields were found in the IQ auth result.

AUTHOR
Robin Redeker, "<elmex at ta-sa.org>", JID: "<elmex at jabber.org>"

COPYRIGHT & LICENSE
Copyright 2007, 2008 Robin Redeker, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.